Package org.springframework.cache.interceptor

# Class CacheableOperation.Builder

java.lang.Object
org.springframework.cache.interceptor.CacheOperation.Builder
org.springframework.cache.interceptor.CacheableOperation.Builder

Enclosing class:
  CacheableOperation

public static class CacheableOperation.Builder extends CacheOperation.Builder
A builder that can be used to create a `CacheableOperation`.

Since:
  4.3

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`CacheableOperation`
`build()`
`protected StringBuilder`
`getOperationDescription()`
Return an identifying description for this caching operation.
`void`
`setSync(boolean sync)`
`void`
`setUnless(String unless)`

### Methods inherited from class org.springframework.cache.interceptor.CacheOperation.Builder

`getCacheManager, getCacheNames, getCacheResolver, getKey, getKeyGenerator, setCacheManager, setCacheName, setCacheNames, setCacheResolver, setCondition, setKey, setKeyGenerator, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setUnless

public void setUnless(String unless)

### setSync

public void setSync(boolean sync)

### getOperationDescription

protected StringBuilder getOperationDescription()
Description copied from class: `CacheOperation.Builder`
Return an identifying description for this caching operation.

Available to subclasses, for inclusion in their `toString()` result.

Overrides:
  `getOperationDescription` in class `CacheOperation.Builder`

### build

public CacheableOperation build()

Specified by:
  `build` in class `CacheOperation.Builder`